package com.ccnode.codegenerator.view;

package .tmp;

import com.ccnode.codegenerator.ae.D;
import com.ccnode.codegenerator.ae.p;
import com.ccnode.codegenerator.l.d;
import com.intellij.codeInsight.daemon.RelatedItemLineMarkerInfo;
import com.intellij.codeInsight.daemon.RelatedItemLineMarkerProvider;
import com.intellij.codeInsight.navigation.NavigationGutterIconBuilder;
import com.intellij.openapi.editor.markup.GutterIconRenderer;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiMethod;
import com.intellij.psi.xml.XmlAttribute;
import com.intellij.psi.xml.XmlFile;
import com.intellij.psi.xml.XmlTag;
import com.intellij.psi.xml.XmlToken;
import java.util.Collection;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000\"\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\000\n\002\020\037\n\002\030\002\n\000\030\0002\0020\001B\005¢\006\002\020\002J$\020\003\032\0020\0042\006\020\005\032\0020\0062\022\020\007\032\016\022\n\b\000\022\006\022\002\b\0030\t0\bH\024¨\006\n"}, d2 = {"Lcom/ccnode/codegenerator/view/MybatisXmlLineMarkerProvider;", "Lcom/intellij/codeInsight/daemon/RelatedItemLineMarkerProvider;", "()V", "collectNavigationMarkers", "", "origi", "Lcom/intellij/psi/PsiElement;", "result", "", "Lcom/intellij/codeInsight/daemon/RelatedItemLineMarkerInfo;", "MyBatisCodeHelper-Pro241"})
public final class I extends RelatedItemLineMarkerProvider {
  protected void collectNavigationMarkers(@NotNull PsiElement paramPsiElement, @NotNull Collection<? super RelatedItemLineMarkerInfo<?>> paramCollection) {
    Object object;
    PsiMethod psiMethod;
    Intrinsics.checkNotNullParameter(paramPsiElement, "");
    Intrinsics.checkNotNullParameter(paramCollection, "");
    if (!(paramPsiElement instanceof XmlToken))
      return; 
    PsiElement psiElement = ((XmlToken)paramPsiElement).getParent();
    if (!psiElement.getFirstChild().equals(paramPsiElement))
      return; 
    if (!(psiElement instanceof XmlAttribute))
      return; 
    XmlTag xmlTag = ((XmlAttribute)psiElement).getParent();
    if (((xmlTag instanceof XmlTag) ? xmlTag : null) == null) {
      (xmlTag instanceof XmlTag) ? xmlTag : null;
      return;
    } 
    Intrinsics.checkNotNullExpressionValue(((XmlAttribute)psiElement).getName(), "");
    String str = ((XmlAttribute)psiElement).getName();
    if (!D.a.a(((XmlToken)paramPsiElement).getContainingFile()))
      return; 
    if (Intrinsics.areEqual(str, "namespace") && Intrinsics.areEqual(object.getName(), "mapper")) {
      Intrinsics.checkNotNull(((XmlAttribute)psiElement).getContainingFile());
      PsiClass psiClass = D.a.a((XmlFile)((XmlAttribute)psiElement).getContainingFile());
      if (psiClass != null) {
        Intrinsics.checkNotNullExpressionValue(NavigationGutterIconBuilder.create(p.c()).setAlignment(GutterIconRenderer.Alignment.CENTER).setTarget(psiClass.getNameIdentifier()).setTooltipTitle("navigation to mapper class").createLineMarkerInfo(paramPsiElement), "");
        paramCollection.add(NavigationGutterIconBuilder.create(p.c()).setAlignment(GutterIconRenderer.Alignment.CENTER).setTarget(psiClass.getNameIdentifier()).setTooltipTitle("navigation to mapper class").createLineMarkerInfo(paramPsiElement));
      } 
      return;
    } 
    if (!Intrinsics.areEqual(str, "id") || !d.a.contains(object.getName()))
      return; 
    XmlAttribute xmlAttribute = object.getAttribute("id");
    if (xmlAttribute == null)
      return; 
    if (D.a.a((XmlTag)object) == null) {
      D.a.a((XmlTag)object);
      return;
    } 
    Intrinsics.checkNotNullExpressionValue(NavigationGutterIconBuilder.create(p.c()).setAlignment(GutterIconRenderer.Alignment.CENTER).setTarget(psiMethod.getNameIdentifier()).setTooltipTitle("navigation to mapper class").createLineMarkerInfo(paramPsiElement), "");
    paramCollection.add(NavigationGutterIconBuilder.create(p.c()).setAlignment(GutterIconRenderer.Alignment.CENTER).setTarget(psiMethod.getNameIdentifier()).setTooltipTitle("navigation to mapper class").createLineMarkerInfo(paramPsiElement));
  }
}
